# QueueAddAction Class
The QueueAddAction adds a new member to a queue. It is implemented in apps/app_queue.c

AsterNet Class Library (Sandcastle documentation)

| QueueAddAction Class

The QueueAddAction adds a new member to a queue.
It is implemented in apps/app_queue.c
Inheritance Hierarchy
System
Object
AsterNET.Manager.Action
ManagerAction
AsterNET.Manager.Action
QueueAddAction

Namespace: AsterNET.Manager.Action
Assembly: AsterNET (in AsterNET.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy

    public class QueueAddAction : ManagerAction

    Public Class QueueAddAction
    	Inherits ManagerAction

    public ref class QueueAddAction : public ManagerAction

    type QueueAddAction =
        class
            inherit ManagerAction
        end

The QueueAddAction type exposes the following members.

Constructors

| Name | Description
--- | --- | ---
| QueueAddAction | Creates a new empty QueueAddAction.
| QueueAddAction(String, String) | Creates a new QueueAddAction that adds a new member on the given interface to the given queue.
| QueueAddAction(String, String, String) | Creates a new QueueAddAction that adds a new member on the given interface to the given queue.
| QueueAddAction(String, String, String, Int32) | Creates a new QueueAddAction that adds a new member on the given interface to the given queue with the given penalty.

Top
Methods

| Name | Description
--- | --- | ---
| Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
| Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
| GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
| GetType | Gets the Type of the current instance. (Inherited from Object.)
| MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
| ToString | (Inherited from ManagerAction.)

Top
Properties

| Name | Description
--- | --- | ---
| Action | Get the name of this action, i.e. "QueueAdd". (Overrides ManagerAction Action.)
| ActionId | (Inherited from ManagerAction.)
| Interface | Get/Set the interface to add. To add a specific channel just use the channel name, e.g. "SIP/1234". This property is mandatory.
| MemberName | Get/Set the member to add.
| Paused | Get/Set if the queue member should be paused when added. true if the queue member should be paused when added.
| Penalty | Get/Set the penalty for this member. The penalty must be a positive integer or 0 for no penalty. If it is not set 0 is assumed. When calls are distributed members with higher penalties are considered last.
| ProxyKey | You can use this as a simple authentication mechanism. Rather than have to login with a username & password, you can specify a ProxyKey that must be passed from a client before requests are processed. This is helpful in situations where you would like to authenticate and execute an action in a single step. (Inherited from ManagerAction.)
| Queue | Get/Set the name of the queue the new member will be added to. This property is mandatory.
| Server | Specify a server to which to send your commands (x.x.x.x or hostname). This should match the server name specified in your config file's "host" entry. If you do not specify a server, the proxy will pick the first one it finds -- fine in single-server configurations. (Inherited from ManagerAction.)

Top
See Also

#### Reference

AsterNET.Manager.Action Namespace